select strftime('%Y', TRANSDATE) as YEAR
    , total(case strftime('%m', TRANSDATE) when '01' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Jan
    , total(case strftime('%m', TRANSDATE) when '02' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Feb
    , total(case strftime('%m', TRANSDATE) when '03' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Mar
    , total(case strftime('%m', TRANSDATE) when '04' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Apr
    , total(case strftime('%m', TRANSDATE) when '05' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as May
    , total(case strftime('%m', TRANSDATE) when '06' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Jun
    , total(case strftime('%m', TRANSDATE) when '07' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Jul
    , total(case strftime('%m', TRANSDATE) when '08' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Aug
    , total(case strftime('%m', TRANSDATE) when '09' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Sep
    , total(case strftime('%m', TRANSDATE) when '10' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Oct
    , total(case strftime('%m', TRANSDATE) when '11' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Nov
    , total(case strftime('%m', TRANSDATE) when '12' then (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) * cf.BaseConvRate end) as Dec
from CHECKINGACCOUNT_V1 c
    left join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    left join currencyformats_v1 cf on cf.currencyid=AC.currencyid
where 
transcode != 'Transfer'
and c.status !='V'
and ac.status !='Closed'
group by year
order by year;